	org $1001-2
	dw  $1001
	
	dw nextln,0		; second word is line number
	db $9e
	if start > 9999
	db "0"+start/10000
	endif
	db "0"+(start/1000)%10,"0"+(start/100)%10,"0"+(start/10)%10,"0"+start%10,0
nextln	db 0,0

font_ptr	= $F0
scrolltext_ptr	= $F2
music_id	= $F4
	
start
	sei
	sta $ff3f
	;
	lda #f_space & 255	; scroll starting char is space
	sta font_ptr
	lda #f_space >> 8
	sta font_ptr+1
	;
	jsr reset_scrolltext
	;
	lda #$00
	jsr set_music
	;
	ldx #$FF		; pal value for raster interrupt position
	ldy #"0"+50		; pal value for timer tick
	;
	lda $FF07
	and #$40
	beq pal
	;
	ldx #$F6		; ntsc values
	ldy #"0"+60
pal	stx sync3v+1
	sty time_next_digits+3
	;
	lda #$C4
	sta $FF12
	lda #$D1
	sta $FF13
	;
main	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$01		; Query keyboard for "1"
	bne np1
	;
	lda music_id
	beq np1			; already playing tune1
	;
	lda #$00		; music id
	beq np4
	; 
np1	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$08		; Query keyboard for "2"
	bne np2
	;
	lda music_id
	cmp #$01
	beq np2			; already playing tune1
	;
	lda #$01		; music id
np4	jsr set_music
	;
	; ---
	;
np2	ldx status
	cpx #$04
	bcc np3
	;
	ldx #79
	lda music_id		; copy song name to screen
	bne *+4
	ldx #39
	ldy #39
sn1	lda songnames,x
	sta $0FC0,y
	dex
	dey
	bpl sn1
	;
	lda time		; copy current time to screen
	sta $0FE4
	lda time+1
	sta $0FE6
	lda time+2
	sta $0FE7
	;
np3	;
	; --- raster + scroll
	;
	lda status
	cmp #$05
	bcs *+5
	jmp st4
	;
sync2b	lda #$0E
sync2a	cmp $FF1D
	bne sync2a
	;
	lda $FF1C
	cmp #$FF
	beq sync2b
	;
	lda status
	cmp #$05
	bne st7
	;
	jsr reveal_raster
	;
	; ---
	;
st7	lda status
	cmp #$07
	bne st8
	;
	jsr reveal_text
	;
st8	lda #$12		; raster 1
	cmp $FF1D
	bne *-3
	;
	ldx #$07
	ldy #$A8
ras1	lda raster,x
	cpy $FF1E
	bcs *-3
	sta $FF19
	sta $FF15
	dex
	bpl ras1
	;
	; ---
	;               
	lda status
	cmp #$09
	beq st5
	jmp st6
	;
st5	lda scroll_speed_toggle
	eor #$01
	sta scroll_speed_toggle
	tax
	;
	lda scroll_horiz_pos
	sec
	sbc scroll_speed,x
	sta scroll_horiz_pos
	bmi sc1a
	jmp sc1
	;
sc1a	and #$07
	sta scroll_horiz_pos
	;
	ldx #$00
sc2	lda $0e31,x		; scroll chars on screen
	sta $0e30,x
	lda $0e31+1*40,x
	sta $0e30+1*40,x
	lda $0e31+2*40,x
	sta $0e30+2*40,x
	lda $0e31+3*40,x
	sta $0e30+3*40,x
	lda $0e31+4*40,x
	sta $0e30+4*40,x
	lda $0e31+5*40,x
	sta $0e30+5*40,x
	lda $0e31+6*40,x
	sta $0e30+6*40,x
	inx
	cpx #39
	bne sc2
	;
sc4	ldy #$00
	lda (font_ptr),y	; zero in the font data flags end of letter
	bne sc3
	;
	lda (scrolltext_ptr),y	; get next letter
	bpl sc5
	;
	cmp #$FF
	bne sc8
	;
	jsr reset_scrolltext	; $FF wraps scroll
	jmp sc4
	;
sc8	and #$7F
	tax
	lsr a
	sta scroll_speed
	txa
	sec
	sbc scroll_speed
	sta scroll_speed+1
	jmp sc6			; get next char
	;
sc5	asl a
	tax
	lda font_lookup,x
	sta font_ptr
	lda font_lookup+1,x
	sta font_ptr+1
	;
sc6	lda scrolltext_ptr	; go to next char in scrolltext
	clc
	adc #$01
	sta scrolltext_ptr
	bcc *+4
	inc scrolltext_ptr+1
	jmp sc4
	;
	; -- new char
	;
sc3	sta $0E57+0*40		; copy char to screen
	iny
	lda (font_ptr),y
	sta $0E57+1*40
	iny
	lda (font_ptr),y
	sta $0E57+2*40
	iny
	lda (font_ptr),y
	sta $0E57+3*40
	iny
	lda (font_ptr),y
	sta $0E57+4*40
	iny
	lda (font_ptr),y
	sta $0E57+5*40
	iny
	lda (font_ptr),y
	sta $0E57+6*40
	;
	lda font_ptr		; increase font pointer by 7
	clc			; (7 rows in each column)
	adc #$07
	sta font_ptr
	bcc *+4
	inc font_ptr+1
	;
sc1
	;
	; ---
	;
	lda #$72
	cmp $FF1D
	bne *-3
	lda $FF07
	and #$40
	ora scroll_horiz_pos
	sta $FF07
	;
	; ---
	;
st6	lda #$b2		; raster 2
	cmp $FF1D
	bne *-3
	;
	ldx #$07
	ldy #$A8
ras2	lda raster,x
	cpy $FF1E
	bcs *-3
	sta $FF19
	sta $FF15
	dex
	bpl ras2
	;
	lda $FF07
	and #$40
	ora #$08
	sta $FF07
	;
	; ---
	;
st4	lda #$CC
sync1	cmp $FF1D
	bne sync1
	;
music_call
	jsr $2200		; music 1 (default)
	;
	jsr timer_tick
	;
	ldx pause
	beq st0
	dex
	stx pause
	bne st0
	inc status
st0
	;
	lda status
	cmp #$01
	bne st1
	jsr reveal_title
st1
	;
	lda status
	cmp #$03
	bne st2
	jsr fade_colors
	;
sync3v	ldx #$FF
sync3	cpx $FF1D
	bne sync3
	;
col0	lda #$5E
	sta $FF19
col1	lda #$61
	sta $FF15
col2	lda #$44
	ldx #$78
copy1	sta $0878,x
	sta $0878+$78*1,x
	sta $0878+$78*2,x
	sta $0878+$78*3,x
	sta $0878+$78*4,x
	sta $0878+$78*5,x
	dex
	bpl copy1
	lda #$1D
	ldx #39
copy2	sta $0BC0,x
	dex
	bpl copy2
st2
	;
	jmp main

set_music
	sta music_id
	asl a
	asl a
	tax
	lda music_data,x	; set init and player pointers
	sta init_call+1
	lda music_data+1,x
	sta init_call+2
	lda music_data+2,x
	sta music_call+1
	lda music_data+3,x
	sta music_call+2
	;
	; set song time
	;
	ldy #$00
sm1	lda songtimes,x
	sta time,y
	inx
	iny
	cpy #$03
	bne sm1
	;
	lda time_next_digits+3
	sta time+3
	;
init_call
	jmp $0000
	
music_data
	dw $2228		; init
	dw $2200		; address of player
	dw PLAYER_INIT		; init
	dw PLAYER		; address of player
	
reset_scrolltext
	lda #scrolltext & 255
	sta scrolltext_ptr
	lda #scrolltext >> 8
	sta scrolltext_ptr+1
	rts
	
status	db $00
pause	db 100

scroll_horiz_pos
	db 0
scroll_speed_toggle
	db 1
scroll_speed
	db 1,0
	
reveal_title
	ldx title_ptr
	cpx #200
	beq rt1
	;
	ldy title_delay
	beq rt2
	;
	dey
	sty title_delay
	;
	lda $FF00
	eor $FF02
	adc $FF1E
	sta $0c00 + 0*200,x
	;
	eor #$7c
	sta $0c00 + 1*200,x
	;
	adc #$11
	sta $0c00 + 2*200,x
	;
	sbc #$EE
	sta $0c00 + 3*200,x
	;
	eor #$27
	sta $0c00 + 4*200,x
	;
	lda #$11
	sta $800 + 0*200,x
	sta $800 + 1*200,x
	sta $800 + 2*200,x
	sta $800 + 3*200,x
	sta $800 + 4*200,x
	;
	rts
	;
rt2	lda #$03
	sta title_delay
	;
	lda title_data + 0*200,x
	sta $0c00      + 0*200,x
	lda title_data + 1*200,x
	sta $0c00      + 1*200,x
	lda title_data + 2*200,x
	sta $0c00      + 2*200,x
	lda title_data + 3*200,x
	sta $0c00      + 3*200,x
	lda title_data + 4*200,x
	sta $0c00      + 4*200,x
	;
	inx
	stx title_ptr
	;
	rts

rt1	lda #250
	sta pause
	inc status
	rts

title_ptr	db $00
title_delay	db 3

fade_colors
	ldx fade_ptr
	lda color0,x
	sta col0+1
	lda color1,x
	sta col1+1
	lda color2,x
	sta col2+1
	;
	inx
	cpx #color1-color0
	bcs fc1
	stx fade_ptr
	rts
fc1	lda #250
	sta pause
	inc status
	rts
	
fade_ptr	db 0

color0
	db $6E,$5E,$6E,$5E,$5E,$4E,$5E,$4E,$4E,$3E,$4E,$3E,$3D,$2D,$3D,$2D,$1D,$1D
color1
	db $71,$61,$71,$61,$61,$51,$51,$41,$41,$31,$3D,$21,$2D,$21,$2D,$2D,$1D,$1D
color2
	db $11,$21,$21,$31,$31,$41,$41,$51,$51,$61,$61,$71,$71,$71,$71,$71,$71,$71
	
reveal_raster
	ldx raster_count
	cpx #$04
	beq rr2
	;
	ldy raster_delay
	beq rr1
	;
	dey
	sty raster_delay
	rts

rr1	ldy #$05
	sty raster_delay
	;
	lda raster_final+4,x
	sta raster+4,x
	;
	lda #$04
	sec
	sbc raster_count
	tax
	lda raster_final,x
	sta raster,x
	;
	inc raster_count
	rts
	
rr2	lda #150
	sta pause
	inc status
	rts
	
raster
	db $1D,$1D,$1D,$1D,$1D,$1D,$1D,$1D
raster_final
	db $1D,$21,$32,$58,$68,$58,$32,$21
raster_delay
	db 0
raster_count
	db 0
	
reveal_text
	ldx text_count
	cpx #40+6+6+6
	beq rtx2
	;
	ldy text_reveal_delay
	beq rtx1
	;
	dey
	sty text_reveal_delay
	rts
	
rtx1	ldy #$02
	sty text_reveal_delay
	;
	ldy #$00
rtx3	lda text_colors,y
	sta $0BC0-6,x
	inx
	iny
	cpy #$06
	bne rtx3
	;
	inc text_count
	;
	rts
	
rtx2	lda #100
	sta pause
	inc status
	rts

text_reveal_delay
	db 0
text_count
	db 0
text_colors
	db $68,$51,$41,$36,$2D,$1D
	
timer_tick
	ldx #$03
	;
	lda time
	cmp #"0"
	bne tt0
	;
	lda time+1
	cmp #"0"
	bne tt0
	;
	lda time+2
	cmp #"0"
	beq tt1
	;
tt0	lda time,x
	sec
	sbc #$01
	sta time,x
	cmp #"0"-1
	bne tt1
	;
	lda time_next_digits,x
	sta time,x
	dex
	jmp tt0
	;
tt1	rts

time
	db 0,0,0,0
time_next_digits
	db "0","5","9","0"+50
	
	cmap "A",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26
songnames
	db "1. JACKDANCE / SPEKTRO (K. OBARSKI) 2:50"
	db "2. SLEEPWALK / SPEKTRO (K. OBARSKI) 2:20"
	
songtimes
	db "250",0
	db "220",0
	
scrolltext
	cmap " ",0
	cmap "a",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26
	;cmap "",27	; doesn't work
	cmap "A",28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53
	cmap "0",54,55,56,57,58,59,60,61,62,63
	cmap ",",64
	cmap ".",65
	cmap "!",66
	cmap "-",67
	cmap "'",68
	cmap ":",69
	cmap "*",70
	
	db 0,0,$81,0,0,$82,0,0,$83,0,0,$84,0,0,$85,0,0,$86
	db "Hi, this is Amiga Music Box 1!"
	db "                "
	db $85,0,$84,0,$83
	db "Please press keys 1-2 for songs."
	db "                "
	db $84,0,$85,0,$86
	db "The box contains two songs converted from Amiga tunes in the late 80's.   "
	db "Song 1 is called 'JackDance' and it's composed by Karsten Obarski.   "
	db "Song 2 is 'Sleepwalk', also composed by Karsten Obarski."
	db "                "
	db $87,0,$88,0,$89
	db "The song player is very simple without fancy effects.   "
	db "So no arpeggios or proper drums. Sorry."
	db "                "
	db $88,0,$87,0,$86
	db "Credits:   "
	db 71," - music conversion and player * "
	db 72," - music box design, graphics, and programming."
	db "                "
	db $87,0,$88
	db "Greetings to: * "
	db "Andras78 * Ati * Atisoft * Bear",73," * BSZ * bubis * Byteman * C16 Chris * carrion * Chicken * Chris * Chronos * crock * Csio * Degauss * "
	db "Erich * Exin * FatMan * Gaia * gc841 * George * Grass * Hans * Hifi * indi * Jakec * JamesD * KiCHY * Lacoste * Litwr * Luca * "
	db "Mad * MagerValp * MIK * MikeZ * MMS * Murphy * Ninja The Dreams * Patrick * plbyrd * Plus4Vampyre * Rachy * RoePipi * rudis * R",27,"diger * "
	db "Sensor * Sidius * Sixteen Plus * siz * Skoro * Stinky * SVS * TLC * Tom of LOD * TMR * Unreal * W-Man * "
	db "and every Plus4 user in the world!"
	db "                                     "
	db $FF
	cmap 0
	
font_lookup
	dw f_space
	dw f_a
	dw f_b
	dw f_c
	dw f_d
	dw f_e
	dw f_f
	dw f_g
	dw f_h
	dw f_i
	dw f_j
	dw f_k
	dw f_l
	dw f_m
	dw f_n
	dw f_o
	dw f_p
	dw f_q
	dw f_r
	dw f_s
	dw f_t
	dw f_u
	dw f_v
	dw f_w
	dw f_x
	dw f_y
	dw f_z
	dw f_u_uml
	dw f_Au
	dw f_Bu
	dw f_Cu
	dw f_Du
	dw f_Eu
	dw f_Fu
	dw f_Gu
	dw f_Hu
	dw f_Iu
	dw f_Ju
	dw f_Ku
	dw f_Lu
	dw f_Mu
	dw f_Nu
	dw f_Ou
	dw f_Pu
	dw f_Qu
	dw f_Ru
	dw f_Su
	dw f_Tu
	dw f_Uu
	dw f_Vu
	dw f_Wu
	dw f_Xu
	dw f_Yu
	dw f_Zu
	dw f_0
	dw f_1
	dw f_2
	dw f_3
	dw f_4
	dw f_5
	dw f_6
	dw f_7
	dw f_8
	dw f_9
	dw f_comma
	dw f_dot
	dw f_excl
	dw f_dash
	dw f_apos
	dw f_colon
	dw f_star
	dw f_spec1
	dw f_spec2
	dw f_tm
	
f_space	db $20,$20,$20,$20,$20,$20,$20
	db 0
	
f_a	db $20,$20,$E1,$6C,$E1,$7C,$20	; a
	db $20,$20,$FB,$FE,$E1,$E2,$20
	db 0
	
f_b	db $6C,$E1,$E1,$E1,$E1,$7C,$20	; b
	db $20,$20,$FB,$E1,$E1,$E2,$20
	db 0
	
f_c	db $20,$20,$E1,$E1,$E1,$7C,$20	; c
	db $20,$20,$FB,$20,$6C,$E2,$20
	db 0
	
f_d	db $20,$20,$E1,$E1,$E1,$7C,$20	; d
	db $6C,$E1,$FB,$E1,$E1,$E2,$20
	db 0
	
f_e	db $20,$20,$E1,$E1,$E1,$7C,$20	; e
	db $20,$20,$FB,$FE,$6C,$E2,$20
	db 0
	
f_f	db $6C,$E1,$E1,$E1,$E1,$7C,$20	; f
	db $62,$7C,$7E,$20,$20,$20,$20
	db 0
	
f_g	db $20,$20,$E1,$E1,$E1,$7C,$E1	; g
	db $20,$20,$FB,$E1,$E1,$FB,$FE
	db 0
	
f_h	db $6C,$E1,$E1,$E1,$E1,$7C,$20	; h
	db $20,$20,$FB,$E1,$E1,$7C,$20
	db 0
	
f_i	db $6C,$7C,$E1,$E1,$E1,$7C,$20	; i
	db 0
	
f_j	db $20,$20,$20,$20,$20,$20,$E1	; j
	db $6C,$7C,$E1,$E1,$E1,$E1,$FE
	db 0
	
f_k	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $20,$20,$E1,$FF,$E1,$7C,$20
	db 0
	
f_l	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db 0
	
f_m	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$FB,$E1,$E1,$7C,$20
	db $20,$20,$FB,$E1,$E1,$7C,$20
	db 0
	
f_n	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$FB,$E1,$E1,$7C,$20
	db 0
	
f_o	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$FB,$E1,$E1,$E2,$20
	db 0
	
f_p	db $20,$20,$E1,$E1,$E1,$E1,$E1
	db $20,$20,$FB,$E1,$E1,$E2,$20
	db 0
	
f_q	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$FB,$E1,$E1,$FB,$E1
	db 0
	
f_r	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$FB,$20,$20,$20,$20
	db 0
	
f_s	db $20,$20,$E1,$E1,$6C,$7C,$20
	db $20,$20,$FB,$62,$E1,$E2,$20
	db 0
	
f_t	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $20,$20,$E2,$20,$6C,$E2,$20
	db 0
	
f_u	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$E1,$E1,$E1,$E2,$20
	db 0
	
f_v	db $20,$20,$E1,$E1,$E1,$20,$20
	db $20,$20,$E1,$E1,$E1,$7E,$20
	db 0
	
f_w	db $20,$20,$E1,$E1,$E1,$7C,$20
	db $20,$20,$E1,$E1,$E1,$E2,$20
	db $20,$20,$E1,$E1,$E1,$E2,$20
	db 0
	
f_x	db $20,$20,$E1,$7C,$E1,$7C,$20
	db $20,$20,$E1,$FF,$E1,$7C,$20
	db 0
	
f_y	db $20,$20,$E1,$E1,$E1,$7C,$E1
	db $20,$20,$E1,$E1,$E1,$FB,$FE
	db 0
	
f_z	db $20,$20,$E1,$20,$E1,$7C,$20
	db $20,$20,$FB,$FF,$6C,$E2,$20
	db 0
	
f_u_uml	db $20,$7C,$E1,$E1,$E1,$7C,$20
	db $20,$7C,$E1,$E1,$E1,$E2,$20
	db 0
	
f_Au	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$FE,$E1,$E1,$7C,$20
	db 0
	
f_Bu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$FF,$E1,$E1,$E2,$20
	db 0
	
f_Cu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$20,$20,$E1,$E2,$20
	db 0
	
f_Du	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $7B,$E1,$E1,$E1,$E1,$7E,$20
	db 0
	
f_Eu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$7B,$20,$E1,$E2,$20
	db 0
	
f_Fu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$7B,$20,$20,$20,$20
	db 0
	
f_Gu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$6C,$E1,$E1,$FB,$20
	db 0
	
f_Hu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $6C,$E1,$FE,$E1,$E1,$7C,$20
	db 0
	
f_Iu	db $6C,$20,$20,$20,$20,$7C,$20
	db $62,$61,$61,$61,$61,$E2,$20
	db 0
	
f_Ju	db $6C,$20,$20,$20,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$E2,$20
	db 0
	
f_Ku	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $6C,$E1,$FF,$E1,$E1,$7C,$20
	db 0
	
f_Lu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $20,$20,$20,$20,$E1,$E2,$20
	db 0
	
f_Mu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$7C,$20
	db 0
	
f_Nu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$7C,$20
	db 0
	
f_Ou	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$E2,$20
	db 0
	
f_Pu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$FE,$20,$20,$20,$20
	db 0
	
f_Qu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$FB,$20
	db 0
	
f_Ru	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$FF,$E1,$E1,$7C,$20
	db 0
	
f_Su	db $6C,$E1,$E1,$20,$E1,$7C,$20
	db $62,$E1,$62,$E1,$E1,$E2,$20
	db 0
	
f_Tu	db $6C,$20,$20,$20,$20,$20,$20
	db $62,$61,$61,$61,$61,$7E,$20
	db 0
	
f_Uu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $6C,$E1,$E1,$E1,$E1,$E2,$20
	db 0
	
f_Vu	db $6C,$E1,$E1,$E1,$E1,$20,$20
	db $6C,$E1,$E1,$E1,$E1,$7E,$20
	db 0
	
f_Wu	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $6C,$E1,$E1,$E1,$E1,$E2,$20
	db $6C,$E1,$E1,$E1,$E1,$E2,$20
	db 0
	
f_Xu	db $6C,$E1,$7C,$E1,$E1,$7C,$20
	db $6C,$E1,$FF,$E1,$E1,$7C,$20
	db 0
	
f_Yu	db $6C,$E1,$7C,$20,$20,$20,$20
	db $6C,$E1,$FF,$61,$61,$7E,$20
	db 0
	
f_Zu	db $6C,$E1,$20,$E1,$E1,$7C,$20
	db $62,$E1,$FF,$20,$E1,$E2,$20
	db 0
	
f_0	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$E1,$E1,$E1,$E2,$20
	db 0
	
f_1	db $20,$6C,$20,$20,$20,$7C,$20
	db $7B,$61,$61,$61,$61,$E2,$20
	db 0
	
f_2	db $6C,$E1,$6C,$E1,$E1,$7C,$20
	db $62,$E1,$FE,$20,$E1,$E2,$20
	db 0
	
f_3	db $6C,$E1,$20,$20,$E1,$7C,$20
	db $62,$E1,$FE,$E1,$E1,$E2,$20
	db 0
	
f_4	db $6C,$E1,$E1,$20,$20,$20,$20
	db $6C,$E1,$FE,$E1,$E1,$7C,$20
	db 0
	
f_5	db $6C,$E1,$E1,$20,$E1,$7C,$20
	db $62,$20,$62,$E1,$E1,$E2,$20
	db 0
	
f_6	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$62,$E1,$E1,$E2,$20
	db 0
	
f_7	db $6C,$E1,$20,$20,$20,$20,$20
	db $62,$E1,$FF,$61,$61,$7E,$20
	db 0
	
f_8	db $6C,$E1,$E1,$E1,$E1,$7C,$20
	db $62,$E1,$FE,$E1,$E1,$E2,$20
	db 0
	
f_9	db $6C,$E1,$E1,$20,$E1,$7C,$20
	db $62,$E1,$FE,$E1,$E1,$E2,$20
	db 0
	
f_comma	db $20,$20,$20,$20,$20,$E1,$7E
	db 0
	
f_dot	db $20,$20,$20,$20,$20,$7C,$20
	db 0
	
f_excl	db $6C,$E1,$E1,$E1,$7C,$7C,$20
	db 0
	
f_dash	db $20,$20,$6C,$20,$20,$20,$20
	db $20,$20,$62,$20,$20,$20,$20
	db 0
	
f_apos	db $6C,$7C,$20,$20,$20,$20,$20
	db 0
	
f_colon	db $20,$6C,$7C,$E1,$20,$20,$20
	db 0
	
f_star	db $20,$6C,$6C,$6C,$20,$20,$20
	db $6C,$E1,$A0,$FB,$E1,$20,$20
	db $20,$6C,$FC,$7F,$20,$20,$20
	db 0
	
f_spec1	db $70,$5D,$5D,$6B,$5D,$6D,$20
	db $40,$5D,$6D,$6E,$5D,$40,$20
	db $6E,$5D,$5B,$5D,$5D,$73,$6D
	db $20,$1F,$40,$5D,$5D,$70,$7D
	db $20,$40,$72,$5D,$5D,$71,$20
	db $20,$40,$40,$5D,$70,$40,$20
	db $70,$73,$73,$5D,$73,$71,$20
	db $6E,$5D,$6B,$20,$5D,$71,$20
	db $70,$5D,$73,$73,$5D,$71,$20
	db $6E,$5D,$6D,$70,$5D,$40,$20
	db $20,$20,$72,$73,$5D,$71,$20
	db $20,$20,$40,$6B,$5D,$7D,$20
	db $20,$20,$72,$73,$5D,$6D,$20
	db $20,$20,$40,$5D,$5D,$40,$20
	db $20,$20,$6E,$5D,$5D,$7D,$20
	db 0
	
f_spec2	db $70,$5D,$5D,$5D,$5D,$6D,$20
	db $40,$5D,$6B,$6B,$5D,$40,$20
	db $6E,$5D,$5B,$73,$6B,$71,$20
	db $20,$1F,$40,$6D,$6E,$40,$20
	db $20,$40,$72,$5B,$5D,$71,$20
	db $20,$40,$40,$7D,$5D,$40,$20
	db $70,$73,$73,$5D,$5D,$71,$20
	db $6E,$5D,$6D,$5D,$5D,$40,$20
	db $20,$20,$72,$5D,$5D,$71,$20
	db $20,$20,$40,$5D,$5D,$40,$20
	db $20,$20,$6E,$5D,$5D,$7D,$20
	db 0
	
f_tm	db $20,$14,$20,$20,$20,$20,$20
	db $20,$0D,$20,$20,$20,$20,$20
	db 0

	org $2000
	include "0TUNE 2000-25D0_hex.asm"

	org $2800
title_data
	include "title3_hex.asm"
	
	org $3000
	include "2TUNE.asm"
;eof